
#include "mbed.h"
#include "SimpleModbus.h"

static u8 MDcoil[100];
static u16 MDregister[100];

BusInOut LED(PC_0,PC_1,PC_2,PC_3,PC_4,PC_5,PC_6,PC_7);
BusInOut SWITCH(PB_0,PB_1,PB_2,PB_3,PA_9,PA_10,PA_11,PA_12);
AnalogIn   ADIN0(PA_0);
AnalogIn   ADIN1(PA_1);


int main() {
    StartModbus(PC_10, PC_11, 115200, 1, MDregister, MDcoil);
    LED.output();
    SWITCH.input();

    while (1) {
       wait_ms(50);
       LED = MDcoil[0];
       MDcoil[1] = SWITCH;
       MDregister[0] = ADIN0.read_u16();
       MDregister[1] = ADIN1.read_u16();
    }
}

